!Declarations of WinFadeClassType Classes and Types
!Author: Vadim Sinyavksiy, 2004, vadim@softcreator.com

OMIT('_EndOfInclude_',_WinFadeClassPresent_)
_WinFadeClassPresent_ EQUATE(1)

WinFadeClassType  CLASS,TYPE,MODULE('WinFade.clw')
!----------- Protected Members -----------
Initialized          BYTE,PROTECTED
OpenCloseTime        LONG,PROTECTED
FadeStep             LONG,PROTECTED
Window               &WINDOW,PROTECTED
DLLInstance          LONG,PROTECTED
ProcAddress          LONG,PROTECTED
WindowHandle         LONG,PROTECTED
TransparentLevel     LONG,PROTECTED
FadeDirection        BYTE,PROTECTED
OldTimer             LONG,PROTECTED
FadeProgress         BYTE,PROTECTED

!----------- Public Methods --------------
! OpenCloseTime: fade in/out time in milliseconds
! FadeStep     : interval from 1 up to 100
Init                 PROCEDURE(LONG OpenCloseTime = 50,LONG FadeStep = 4),BYTE,PROC
SetTransparant       PROCEDURE(LONG Level) 

!----------- Protected Methods -----------
TakeEvents           PROCEDURE,BYTE,PROTECTED
Kill                 PROCEDURE,PROTECTED
                   END

_EndOfInclude_
